<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
>
<ui:composition template="template/layout.xhtml">
    <ui:define name="head">
        <title>Manage Developers</title>
    </ui:define>

    <ui:define name="content">
        <div class="container">
            <h1 class="pageIntro">BugFix Team</h1>
            <div>
                <h2 class="addMember">Members:</h2>
                <ui:repeat var="dev" value="#{manageDevBean.developers}">
                    <div class="row divDev" >
                        <div class="col-sm-3">
                            <img class="teamProfile" src="resources/images/managedev.png"/>
                        </div>
                        <div class="col-sm-6">
                            <p class="devName">#{dev.devName}</p>
                        </div>
                        <div class="col-sm-3 divRemove">
                            <h:form>
                                <h:commandButton class="btn remove"
                                                 action="#{manageDevBean.deleteDev(dev.devId)}"
                                                 value="Remove"/>
                            </h:form>
                        </div>
                    </div>
                </ui:repeat>
            </div>


            <div>
                <h2 class="addDev">Add Developer:</h2>
                <h:form class="row">
                    <h:inputText class="col-sm-9" id="DevName" value="#{manageDevBean.newDevModel.devName}"
                                 required="true"
                                 label="Developer needs a name"/>
                    <h:message for="DevName" style="color:red"/>

                    <h:commandButton class="btn btn-info col-sm-3" submit="submit" action='#{manageDevBean.submitDev()}'
                                     value="To Team"/>
                </h:form>
            </div>
        </div>


    </ui:define>
</ui:composition>
</html>
